/****************************************************************************/
/* GE32 ( 送信履歴ﾃｰﾌﾞﾙ )                                                   */
/*                                                                          */
/* Created : 2016/10/07 10:39:29                                            */
/****************************************************************************/
CREATE TABLE GE32 (
   YKNO         NUMBER   (   9 )        DEFAULT 0   NOT NULL            /*  10 要求NO   */
 , PARA_KEY     VARCHAR2 (   9 )                                        /*  20 ﾊﾟﾗﾒｰﾀｷｰ */
 , PTN_ID       VARCHAR2 (  20 )                                        /*  30 定型文ID */
 , SYSTEM_ID    VARCHAR2 (  10 )                    NOT NULL            /*  40 ｼｽﾃﾑID   */
 , FROM_ADDR    VARCHAR2 ( 100 )                    NOT NULL            /*  50 送信元   */
 , TITLE        VARCHAR2 ( 300 )                                        /*  60 ﾀｲﾄﾙ     */
 , CONTENTS     CLOB                                NOT NULL            /*  70 内容     */
 , ATTACH1      VARCHAR2 ( 256 )                                        /*  80 添付1    */
 , ATTACH2      VARCHAR2 ( 256 )                                        /*  90 添付2    */
 , ATTACH3      VARCHAR2 ( 256 )                                        /* 100 添付3    */
 , ATTACH4      VARCHAR2 ( 256 )                                        /* 110 添付4    */
 , ATTACH5      VARCHAR2 ( 256 )                                        /* 120 添付5    */
 , UNIQ         NUMBER   (   9 )        DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ   */
 , FGJ          VARCHAR2 (   1 )        DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ */
 , DYSET        VARCHAR2 (  14 )                                        /* 820 登録日時 */
 , PGSET        VARCHAR2 (  10 )                                        /* 830 作成PG   */
 , PGPSET       VARCHAR2 (  10 )                                        /* 840 作成親PG */
 , USRSET       VARCHAR2 (  10 )                                        /* 850 作成社員 */
 , DYUPD        VARCHAR2 (  14 )                                        /* 860 更新日時 */
 , PGUPD        VARCHAR2 (  10 )                                        /* 870 更新PG   */
 , PGPUPD       VARCHAR2 (  10 )                                        /* 880 更新親PG */
 , USRUPD       VARCHAR2 (  10 )                                        /* 890 更新者   */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K NEXT 16K );

CREATE SEQUENCE GE32S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;

CREATE OR REPLACE TRIGGER GE32T00 
  BEFORE INSERT ON GE32
  FOR EACH ROW 
  BEGIN 
    SELECT GE32S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
